﻿/**
	Post-Installation dialog with the option to open the folder where everything was placed.
	The macro file is placed by the mzp.run, but also executed from here once so it can be used
	right after installation without having to restart 3ds Max.
*/
colorMan.reinitIcons() -- Refreshes max icons
filein ((GetDir #usermacros) + "\\SelectByMaterial_v1.1_by_3dwannab.mcr")

try(destroyDialog Install_Dialog)catch()
rollout Install_Dialog "SelectByMaterial v1.1 by 3dwannab (◣_◢)" width:285 height:275
(
	local Dir_Scr_Uninstall = (getDir #userScripts) + "\\3dwannab\\SelectByMaterial"
	local FileInScript = (GetDir #userScripts) + "\\3dwannab\\SelectByMaterial\\SelectByMaterial_v1.1_by_3dwannab.ms"
 
--------------------------------------------------------------------
 
    function DeleteDirAndSubDir rootDir =
    (
        try ( HiddenDOSCommand ("rmDir \"" + rootDir + "\" /s /q") ) catch (messagebox "Can't delete Select By Material (◣_◢) folders!" title:"Select By Material Install Error!!!")
    )
    function DeleteFiles curDir file =
    (
        filesToDelete = getFiles (curDir + file)
        for f in filesToDelete do	deleteFile f
    )
   
--------------------------------------------------------------------

	label lbl1 "SelectByMaterial v1.1 is now installed! (◣_◢)
    
--------------------------------------------------------------------

To get a Toolbar button click on 'Add button to CUI now' and go to:

Toolbars  -> Category  -> '3dwannab' and drag 'Select By Material (◣_◢)' to a toolbar.

Click the toolbar icon to run it!" pos:[5,5] width:275 height:169
	button btn_Run_Script "RUN Script Now (◣_◢)" pos:[5,205] width:275 height:30 toolTip:"Run Script Now!"
	button btn_Uninstall "UNINSTALL" pos:[5,235] width:100 height:30 toolTip:"Removes "
	button btn_CUI "Add button to CUI now !" pos:[105,235] width:175 height:30 toolTip:"Opens the Customize User Interface"	
	
	label lbl3 "--------------------------------------------------------------------" pos:[5,183] width:275 height:8
	on btn_Run_Script pressed do
	(
		try(destroyDialog Install_Dialog)catch()
		if (doesFileExist FileInScript) then
		fileIn FileInScript
			else
			(
			messageBox "Unable to locate the script.\n\nIt should be in the userscripts Folder\n\nType '(GetDir #userscripts)' in MAXScript Listener to find the location" title:"SelectByMaterial v1.1 by 3dwannab (◣_◢)"
			)
	)	
	on btn_Uninstall pressed do
	(	
		if querybox "Are you sure ?" title:"Un-install SelectByMaterial v1.1 by 3dwannab (◣_◢)" beep:true
			then
				(
				DeleteDirAndSubDir ((getDir #userscripts) + "\\3dwannab\\SelectByMaterial")	--delete script folders
				DeleteFiles ((getDir #usericons) + "\\SelectByMaterial_Icon") "*.*"				--delete the icons & psd
				DeleteFiles ((getDir #usermacros) + "\\*SelectByMaterial") "*.*"					--delete macro
				messagebox "Uninstall Complete...\n\nTo install again just drag the .mzp file into the 3ds Max window or through the Run Script method\n\nGoodbye...(◣_◢)" title:"SelectByMaterial v1.1 by 3dwannab (◣_◢)"  beep:true
					try(destroyDialog Install_Dialog)catch()
				)
					else
						(
							-- DO NOTHING
						)
	)

	on btn_CUI pressed do
	(
	actionMan.executeAction 0 "59226"  -- Customize User Interface: Customize User Interface
	)
		
)
createDialog Install_Dialog style:#(#style_titlebar, #style_sysmenu, #style_toolwindow)