﻿/*
Select By Material version history
--============================================================
Version 1.0 - 2015.07.24	- First Release.
Version 1.1 - 2015.07.25	- Added support for groups that were previously opened while still closing the groups affected by the script.
					- Added object count in listener.
					- Added support for Compact Material Editor, you can now toggle back and front between them with no problem.
					- Warning that no objects with selected material exist in scene.
					- Changed script name to 'Select By Material'.
					- Querybox to open material editor if not opened.
--============================================================

NOTES:
--============================================================
- Works with groups, nested groups and closes any groups the script affected while keeping your groups opened.

TO DO LIST
--============================================================
- TBC
--============================================================ */
	if MatEditor.isOpen() == false then (
		if querybox "Mat Editor not open. Open now and select node/slot and re-run script." title:"SelectByMaterial_by_3dwannab (◣_◢)" beep:true then (
			MatEditor.Open()
		)
	)
	else (
		local matselect3dwannab_arr
		global groupclosedcopy_arr

		try(while groupclosedcopy_arr.count > 0 do (
			setGroupOpen groupclosedcopy_arr[groupclosedcopy_arr.count] false ; groupclosedcopy_arr.count = groupclosedcopy_arr.count-1
		))catch()

		fn groupsmanagement = (
			groupclosed_arr = for o in matselect3dwannab_arr where isGroupMember o AND isOpenGroupMember o == false collect o.parent
			groupclosedcopy_arr = copy groupclosed_arr #nomap
			while groupclosed_arr.count > 0 do (
				setGroupOpen groupclosed_arr[groupclosed_arr.count] true ; groupclosed_arr.count = groupclosed_arr.count-1
			)
		)
--============================================================
		if maxOps.mtlDlgMode == #basic then (
			clearselection()
			local matselect3dwannab_arr = for o in objects where o.material== meditMaterials [activeMeditSlot] collect o
			groupsmanagement()
			select matselect3dwannab_arr
			if matselect3dwannab_arr.count > 0 then (
				print ((selection.count as string) + " Object/s selected with ' " + meditMaterials [activeMeditSlot] as string + " ' material")
			)
			if matselect3dwannab_arr.count == 0 then (
				messagebox ("Compact Material Editor ACTIVE !\n\nNo objects in the scene assigned the material:\n\n'" + meditMaterials [activeMeditSlot] as string + "'") title:"SelectByMaterial_by_3dwannab (◣_◢)" beep:true
				print "No objects selected !"
			)
		)
		else (
			if sme.GetMtlInParamEditor() != undefined do (
				clearselection()
				matselect3dwannab_arr = for o in objects where o.material==sme.GetMtlInParamEditor() collect o
				groupsmanagement()
				select matselect3dwannab_arr
				if matselect3dwannab_arr.count > 0 then (
					print ((selection.count as string) + " Object/s selected with '" + sme.GetMtlInParamEditor() as string + "' material")
				)
				else (
					print "No objects selected !"
				)
			)
			if sme.GetMtlInParamEditor() == undefined then (
				if querybox "There's no node selected in the SME !\n\nSelect node in SME now and re-run script ?" title:"SelectByMaterial_by_3dwannab (◣_◢)" beep:true then (
					print "Select node in SME first"
					sme.Open()
				)
			)
			if sme.GetMtlInParamEditor() != undefined AND matselect3dwannab_arr.count == 0 then (
				messagebox ("Slate Material Editor ACTIVE !\n\nNo objects in the scene assigned the material:\n\n' " + sme.GetMtlInParamEditor() as string + " '") title:"SelectByMaterial_by_3dwannab (◣_◢)" beep:true
			)
		)
	)
--============================================================ THATS ALL FOLKS !